List documents
curl --request GET \
--url https://api.callin.io/api/public/v1/knowledge-base/documents \
--header 'x-api-key: <api-key>'import requests
url = "https://api.callin.io/api/public/v1/knowledge-base/documents"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.callin.io/api/public/v1/knowledge-base/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"documentId": "<string>",
"type": "url",
"name": "<string>",
"details": {
"url": "<string>"
},
"metadata": {
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"userId": "<string>",
"userEmail": "<string>"
}
}
}
],
"pagination": {
"pageSize": 123,
"hasMore": true,
"nextCursor": "<string>",
"sortBy": "name",
"sortDirection": "asc"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"fields": [
{}
]
}
}Knowledge Base
List documents
Returns a paginated list of knowledge base documents available to your agents.
GET
/
public
/
v1
/
knowledge-base
/
documents
List documents
Authorizations
ApiKeyHeaderBearerAuth
Send your Callin API key in the x-api-key header.
Query Parameters
Used for fetching next page. Cursor is returned in the response.
How many documents to return at maximum. Can not exceed 100, defaults to 30.
Required range:
1 <= x <= 100Search for documents by name
The field to sort the results by
Available options:
name, created_at The direction to sort the results
Available options:
asc, desc Response
Documents list
Was this page helpful?

